GET/projects/api/v3/reporting/dashboards/details/tasks.json

Get task chart details.

This returns a list of tasks matching a task chart filter. Used for quick views and similar UI elements

Query Params

  • Name
    startDate
    Type
    string
    Description

    start date

  • Name
    searchTerm
    Type
    string
    Description

    filter by project name

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    orderBy
    Type
    string
    Description

    order by

    Default
    taskname
    Allowed values
    • startdate
    • duedate
    • dateadded
    • taskname
    • priority
  • Name
    endDate
    Type
    string
    Description

    end date

  • Name
    splitBy
    Type
    object
    Description

    split by entity

    Default
    none
    Allowed values
    • task.tasklist
    • task.project
    • task.company
    • task.priority
    • task.assignee_user
    • task.assignee_team
    • task.assignee_company
    • task.workflow_stages
    • task.status
    • task.start_date
    • task.due_date
    • task.created_date
    • task.completed_date
  • Name
    metric
    Type
    object
    Description

    data point

  • Name
    groupBy
    Type
    object
    Description

    group by entity

    Default
    none
    Allowed values
    • task.tasklist
    • task.project
    • task.company
    • task.priority
    • task.assignee_user
    • task.assignee_team
    • task.assignee_company
    • task.workflow_stages
    • task.status
    • task.start_date
    • task.due_date
    • task.created_date
    • task.completed_date
  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    matchAllProjectTags
    Type
    boolean
    Description

    match all project tags

  • Name
    tasklistIds
    Type
    array[integer]
    Description

    filter by tasklist ids

    Format
    Comma separated values
  • Name
    taskStatuses
    Type
    array[string]
    Description

    filter by task statuses

    Format
    Comma separated values
    Allowed values
    • completed
    • started
    • late
    • upcoming
    • today
  • Name
    projectTagIds
    Type
    array[integer]
    Description

    filter by project tag ids

    Format
    Comma separated values
  • Name
    projectStatuses
    Type
    array[string]
    Description

    filter by project status

    Format
    Comma separated values
    Allowed values
    • active
    • current
    • late
    • upcoming
    • completed
    • deleted
  • Name
    projectOwnerIds
    Type
    array[integer]
    Description

    filter by project owner ids

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values
  • Name
    projectHealths
    Type
    array[integer]
    Description

    filter by project healths

    0: not set 1: bad 2: ok 3: good

    Format
    Comma separated values
    Allowed values
    • 0
    • 1
    • 2
    • 3
  • Name
    projectCompanyIds
    Type
    array[integer]
    Description

    filter by company ids

    Format
    Comma separated values
  • Name
    projectCategoryIds
    Type
    array[integer]
    Description

    filter by project category ids

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • task.tasklist
    • task.project
    • task.company
    • task.assignee_user
    • task.assignee_team
    • task.assignee_company
    • task.workflow_stages
  • Name
    filter
    Type
    array[any]
    Description

    filter object body

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    TasksResponse contains information about a group of tasks.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

TasksResponse
{}